PWD_MKDB(8)

NAME
pwd_mkdb - generate the password databases

SYNOPSIS
pwd_mkdb [-p] [-d directory] file

DESCRIPTION
pwd_mkdb creates db(3) style secure and insecure databases for the specified file. These databases are then installed into “/etc/spwd.db” and “/etc/pwd.db” respectively. The file is installed into “/etc/master.passwd”. The file must be in the correct format (see passwd(5)). It is important to note that the format used in this system is different from the historic Version 7 style format.

The options are as follows:

-p  Create a Version 7 style password file and install it into “/etc/passwd”.

-d directory
    Change the root directory of the generated files from “/” to directory.

The two databases differ in that the secure version contains the user's encrypted password and the insecure version has an asterisk (``*'').

The databases are used by the C library password routines (see getpwent(3)).

pwd_mkdb exits zero on success, non-zero on failure.

FILES
/etc/master.passwd
    The current password file.
/etc/passwd
    A Version 7 format password file.
/etc/pwd.db
    The insecure password database file.
/etc/pwd.db.tmp
    A temporary file.
/etc/spwd.db
    The secure password database file.
/etc/spwd.db.tmp
    A temporary file.

BUGS
Because of the necessity for atomic update of the password files, pwd_mkdb uses rename(2) to install them. This, however, requires that the file specified on the command line live on the same file system as the “/etc” directory.

There are the obvious races with multiple people running pwd_mkdb on different password files at the same time. The front-ends to chpass(1), passwd(1), and vipw(8) handle the locking necessary to avoid this problem.

COMPATIBILITY
Previous versions of the system had a program similar to mkpasswd(8), which built dbm(3) style databases for the password file but depended on the calling programs to install them. The program was renamed in order that previous users of the program not be surprised by the changes in functionality.

SEE ALSO
chpass(1), passwd(1), db(3), getpwent(3), passwd(5), vipw(8)